import java.util.*;

public class ArticlesAndPronouns {
	private static int counter = 0;
    private static Set<String> ARTICLES = new HashSet<>();
    // static initialiser block (once per class)
	static {
		ARTICLES.add("a"); 
		ARTICLES.add("an"); 
		ARTICLES.add("the"); 
		System.out.println(ARTICLES);
	}
	
	private Set<String> thirdPersonPronouns = new HashSet<String>(){{
		add("instance " + counter);
		add("he");
		add("she");
		add("it");
		add("they");
	}};
	// instance initialiser block (inserted into every constructor -- i.e,
	// executed once per object)
	// {
	// 	thirdPersonPronouns = new HashSet<>();
	// 	thirdPersonPronouns.add("instance " + counter);
	// 	thirdPersonPronouns.add("he");
	// 	thirdPersonPronouns.add("she");
	// 	thirdPersonPronouns.add("it");
	// 	thirdPersonPronouns.add("they");
	// }
	
	public ArticlesAndPronouns() {
		counter++;
		System.out.println(thirdPersonPronouns);
	}
	
	public static void main(String[] args) {
		ArticlesAndPronouns a1 = new ArticlesAndPronouns();
		ArticlesAndPronouns a2 = new ArticlesAndPronouns();
	}
}